LibreOffice: FocusEvent Struct Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Attributes | List of all members
FocusEvent Struct Referencepublished

specifies a keyboard focus event. More...

Inheritance diagram for FocusEvent:

## Public Attributes
short | FocusFlags
| specifies the reason for the focus change as an arithmetic-or combination of FocusChangeReason.
com::sun::star::uno::XInterface | NextFocus
| contains the window which gets the focus on a lose focus event.
boolean | Temporary
| specifies if this focus change event is a temporary change.
Public Attributes inherited from EventObject
com::sun::star::uno::XInterface | Source
| refers to the object that fired the event.

## Detailed Description

specifies a keyboard focus event.

There are two levels of focus change events: permanent and temporary. Permanent focus change events occur when focus is directly moved from one component to another, such as through calls to requestFocus() or as the user uses the Tab key to traverse components. Temporary focus change events occur when focus is gained or lost for a component as the indirect result of another operation, such as window deactivation or a scrollbar drag. In this case, the original focus state will automatically be restored once that operation is finished, or for the case of window deactivation, when the window is reactivated. Both permanent and temporary focus events are delivered using the FOCUS_GAINED and FOCUS_LOST event ids; the levels may be distinguished in the event using the isTemporary() method.

## Member Data Documentation

## ◆ FocusFlags

short FocusFlags

specifies the reason for the focus change as an arithmetic-or combination of FocusChangeReason.

See also
  FocusChangeReason

## ◆ NextFocus

com::sun::star::uno::XInterface NextFocus

contains the window which gets the focus on a lose focus event.

## ◆ Temporary

boolean Temporary

specifies if this focus change event is a temporary change.

The documentation for this struct was generated from the following file:

- com/sun/star/awt/FocusEvent.idl